That's true but the main issue with Linux is actually that it's broken on the library ABI compatibility layer.

Even if you package everything...